/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class MainHomePanelVM : FguiViewModel
    {
        public GImage TouXiangBottom { get; private set; }
        public GTextField ZLNummber { get; private set; }
        public GTextField ApextTan { get; private set; }
        public GProgressBar LevelpBar { get; private set; }
        public GImage TXKuang { get; private set; }
        public GLoader TouXiang { get; private set; }
        public GImage PlayerLevelBottom { get; private set; }
        public GTextField PlayerLevelNummber { get; private set; }
        public GImage Zhandouli { get; private set; }
        public GImage GoldBottom01 { get; private set; }
        public GTextField GoldNummber { get; private set; }
        public GImage Jinbi { get; private set; }
        public GButton GoldBtn { get; private set; }
        public GImage GoldBottom02 { get; private set; }
        public GTextField DiamindNummber { get; private set; }
        public GButton DiamondBtn { get; private set; }
        public GImage Baoshi { get; private set; }
        public GButton ShopBtn { get; private set; }
        public GButton SCBtn { get; private set; }
        public GButton HDBtn { get; private set; }
        public GButton XSLBtn { get; private set; }
        public GButton GoldBox { get; private set; }
        public GButton TaskBtn { get; private set; }
        public GButton SheZhiBtn { get; private set; }
        public MainHomeBuffInfoNestedView BuffInfo { get; private set; }
        public GGroup Bottom { get; private set; }
        public GButton XinXiBtn { get; private set; }
        public GTextField XinWen { get; private set; }
        public GGroup Message { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            TouXiangBottom = panel.GetChild("TouXiangBottom") as GImage;
            ZLNummber = panel.GetChild("ZLNummber") as GTextField;
            ApextTan = panel.GetChild("ApextTan") as GTextField;
            LevelpBar = panel.GetChild("LevelpBar") as GProgressBar;
            TXKuang = panel.GetChild("TXKuang") as GImage;
            TouXiang = panel.GetChild("TouXiang") as GLoader;
            PlayerLevelBottom = panel.GetChild("PlayerLevelBottom") as GImage;
            PlayerLevelNummber = panel.GetChild("PlayerLevelNummber") as GTextField;
            Zhandouli = panel.GetChild("Zhandouli") as GImage;
            GoldBottom01 = panel.GetChild("GoldBottom01") as GImage;
            GoldNummber = panel.GetChild("GoldNummber") as GTextField;
            Jinbi = panel.GetChild("Jinbi") as GImage;
            GoldBtn = panel.GetChild("GoldBtn") as GButton;
            GoldBottom02 = panel.GetChild("GoldBottom02") as GImage;
            DiamindNummber = panel.GetChild("DiamindNummber") as GTextField;
            DiamondBtn = panel.GetChild("DiamondBtn") as GButton;
            Baoshi = panel.GetChild("Baoshi") as GImage;
            ShopBtn = panel.GetChild("ShopBtn") as GButton;
            SCBtn = panel.GetChild("SCBtn") as GButton;
            HDBtn = panel.GetChild("HDBtn") as GButton;
            XSLBtn = panel.GetChild("XSLBtn") as GButton;
            GoldBox = panel.GetChild("GoldBox") as GButton;
            TaskBtn = panel.GetChild("TaskBtn") as GButton;
            SheZhiBtn = panel.GetChild("SheZhiBtn") as GButton;
            BuffInfo = adapter.CreateNested<MainHomeBuffInfoNestedView>(new FguiNested(panel.GetChild("BuffInfo").asCom), true);
            Bottom = panel.GetChild("Bottom") as GGroup;
            XinXiBtn = panel.GetChild("XinXiBtn") as GButton;
            XinWen = panel.GetChild("XinWen") as GTextField;
            Message = panel.GetChild("Message") as GGroup;

        }
    }
}